#3 BUG with libdvdread 0.9.6

v1.0 (example)
closed
nobody
None
5
2014-09-25
2006-06-26
Anonymous
No

lsdvd needs to include "<stdint.h>" before
"dvdread/ifo_types.h".

During the configure stage it fails on dvdread.
Examining the config.log, it's because
dvdread/ifo_types.h outputs " #error "Must include
<inttypes.h> or <stdint.h> before any libdvdread header"

The lsdvd.c file also needs to be fixed: <stdint.h>
should be included before dvdread/ifo_types.h

Discussion

  • wedge
    wedge
    2007-08-16

    Logged In: YES
    user_id=1613807
    Originator: NO

    Hi !

    A patch has been sent to the author of lsdvd to correct this.

    Have fun !
    Aym/Wedge
    http://sourceforge.net/projects/ripdvd

     
  • Logged In: NO

    [root@zeek test2]# cat lsdvd-0.16.patch
    --- lsdvd-0.16.original/configure 2005-12-12 20:22:45.000000000 +0000
    +++ lsdvd-0.16/configure 2008-02-27 13:30:26.000000000 +0000
    @@ -2887,8 +2887,9 @@
    cat confdefs.h >>conftest.$ac_ext
    cat >>conftest.$ac_ext <<_ACEOF
    /* end confdefs.h. */
    +#include <stdint.h>
    +#include <inttypes.h>
    #include <dvdread/ifo_read.h>
    - #include <stdint.h>
    int
    main ()
    {
    --- lsdvd-0.16.original/lsdvd.c 2006-03-02 13:48:11.000000000 +0000
    +++ lsdvd-0.16/lsdvd.c 2008-02-27 13:26:46.000000000 +0000
    @@ -13,13 +13,14 @@
    * 2003-04-19 Cleanups get_title_name, added dvdtime2msec, added helper macros,
    * output info structures in form of a Perl module, by Henk Vergonet.
    */
    +#include <stdint.h>
    +#include <inttypes.h>
    #include <dvdread/ifo_read.h>
    #include <string.h>
    #include <sys/stat.h>
    #include <stdio.h>
    #include <stdlib.h>
    #include <unistd.h>
    -#include <stdint.h>
    #include "lsdvd.h"
    #include "ocode.h"

    [root@zeek test2]#

     
  • Steve Dibb
    Steve Dibb
    2014-09-25

    This one's been fixed in git.

     
  • Steve Dibb
    Steve Dibb
    2014-09-25

    • status: open --> closed
    • Group: --> v1.0 (example)